# inset

Manage figure inset setup and completion

The inset module is used to carve out a sub-region of the current plot canvas and restrict further plotting to that section of the canvas. The inset setup is started with the begin directive that defines the placement and size of the inset. Subsequent plot commands will be directed to that window. The inset is completed via the end directive, which reverts operations to the full canvas and restores the plot region and map projection that was in effect prior to the setup of the inset.

## Synopsis (begin mode)

gmt inset begin -D inset-box [ -C[side]clearance ] [ -F box ] [ -N ] [ -R region ] [ -J parameters ] [ -V[level] ] [ --PAR=value ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

The begin directive of inset defines the dimension and placement of the inset canvas. It records the current region and projection so that we may return to the initial plot environment when the inset is completed. The user may select any plot region and projection once plotting in the inset, but if the first command uses a projection that leaves off the scale or width then we supply a scale or width to fill the inset as best as possible, given the inset size and margins (if selected). Note: If you wish to let the inset dimensions be determined by the region and projection that will be used to draw in the inset, then give these arguments on the gmt inset begin command.

## Required Arguments (begin mode)

-D xmin/xmax/ymin/ymax[+r][+u unit]] | -D[g|j|J|n|x]refpoint+w width[/height][+j justify][+o dx[/dy]]

  Define the map inset rectangle on the map. Specify the rectangle in one of three ways:

  - g - Append lon/lat for map coordinates. Requires both -R and -J to be set.

  - j - Append code to j or J code for setting the refpoint via a 2-char justification code that refers to the (invisible) projected map bounding box. Requires both -R and -J to be set. Upper case means justify on the outside.

  - n - Append xn/yn for normalized bounding box coordinates (0-1). Requires both -R and -J to be set.

  - x - Append x/y for plot coordinates (append cm, inch, or ppoint).

  Alternatively, Give west/east/south/north of geographic rectangle bounded by parallels and meridians; append +r if the coordinates instead are the lower left and upper right corners of the desired rectangle. (Or, give xmin/xmax/ymin/ymax of bounding rectangle in projected coordinates and optionally append +u unit [Default coordinate unit is meter (e)]. Append +w width[/height] of bounding rectangle or box in plot coordinates (inches, cm, etc.). By default, the anchor point on the scale is assumed to be the bottom left corner (BL), but this can be changed by appending +j followed by a 2-char justification code justify (see text). Note: If -Dj is used then justify defaults to the same as refpoint, if -DJ is used then justify defaults to the mirror opposite of refpoint. Specify inset box attributes via the -F option [outline only].

## Optional Arguments (begin mode)

-C[side]clearance

  Reserve a space of dimension clearance between the actual inset plot area and the given inset box on the specified side, using side values from w, e, s, or n, or x for both w and e or y for both s and n. No side means all sides. The option is repeatable to set aside space on more than one side. Alternatively, if all sides are to be set you can also give a pair of values separated by slashes (for setting separate horizontal and vertical margins), or the full set of four separate margins. Such space will be left untouched by the inset map plotting. Append units as desired [Default is set by PROJ_LENGTH_UNIT].

-F[+c clearances][+g fill][+i[[gap/]pen]][+p[pen]][+r[radius]][+s[[dx/dy/][shade]]]

> Without further options, draws a rectangular border around the map inset using MAP_FRAME_PEN. The following modifiers can be appended to -F, with additional explanation and examples provided in the The background panel cookbook section:

> - +c - Set clearance where clearance is either gap, xgap/ygap, or lgap/rgap/bgap/tgap and gap gives a uniform clearance, xgap/ygap gives separate clearances in the x- and y- directions, and lgap/rgap/bgap/tgap gives individual clearances between the map embellishment and the border for each side.

> - +g - Give fill to fill the box with a color specified by fill [default is no fill].

> - +i - Draw a secondary, inner border border outline [[gap/]pen]. Optionally, append the gap between the inner and outer border and the pen for the inner border [default is a uniform gap between borders of 2p and the MAP_DEFAULT_PEN].

> - +p - append pen to specify different pen attributes for the box outline.

> - +r - Draw a rounded rectangular borders instead of sharp with a corner radius set by radius (append units) [defaults is 6p].

> - +s - Place an offset background shaded region behind the box. Here, dx/dy indicates the shift relative to the foreground frame [default is 4p/-4p] and shade sets the fill style to use for shading [default is gray50].

-J parameters

  Specify the projection. (See full description) (See cookbook summary) (See projections table).

-N

  Do not clip features extruding outside map inset boundaries [Default will clip].

-R xmin/xmax/ymin/ymax[+r][+u unit]

  Specify the region of interest. This is useful when you want the inset -R -J to also determine the inset size. (See full description) (See cookbook information).

-V[level]

  Select verbosity level [w]. (See full description) (See cookbook information).

-^ or just -

  Print a short message about the syntax of the command, then exits (Note: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exits.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exits.

## Synopsis (end mode)

gmt inset end [ -V[level] ]

The end directive finalizes the current inset, which returns the plotting environment to the state prior to the start of the inset. The previous region and map projection will be in effect going forward.

## Optional Arguments (end mode)

-V[level]

  Select verbosity level [w]. (See full description) (See cookbook information).

-^ or just -

  Print a short message about the syntax of the command, then exits (Note: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exits.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exits.

## Examples

To make a simple basemap plot called inset.pdf that demonstrates the inset module, try

    gmt begin inset pdf
      gmt basemap -R0/40/20/60 -JM6.5i -Bafg -B+glightgreen
      gmt inset begin -DjTR+w2.5i+o0.2i -F+gpink+p0.5p -C0.25i
        gmt basemap -Rg -JA20/20/ -Bafg
        gmt text -F+f18p+cTR+tINSET -Dj-0.15i -N
      gmt inset end
      gmt text -F+f18p+cBL+tMAP -Dj0.2i
    gmt end

## See Also

begin, clear, docs, end, figure, gmt, subplot